## org.apache.cassandra.gms
Interface IFailureDetectionEventListener

All Known Implementing Classes:
  Gossiper, MessagingService

    public interface IFailureDetectionEventListener

Implemented by the Gossiper to convict an endpoint based on the PHI calculated by the Failure Detector on the inter-arrival times of the heart beats.

Method Summary
`void` `convict(java.net.InetAddress ep)` Convict the specified endpoint.

Method Detail

### convict

    void convict(java.net.InetAddress ep)

  Convict the specified endpoint.

  Parameters:
    `ep` - endpoint to be convicted

Copyright © 2010 The Apache Software Foundation